Subject: [regext] I-D Action: draft-ietf-regext-org-05.txt

From: [email-masked]
Date: Mon, 07 May 2018 01:35:39 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Registration Protocols Extensions WG of the IETF.

        Title           : Extensible Provisioning Protocol (EPP) Organization Mapping
        Authors         : Linlin Zhou
                          Ning Kong
                          Guiqing Zhou
                          Xiaodong Lee
                          James Gould
	Filename        : draft-ietf-regext-org-05.txt
	Pages           : 41
	Date            : 2018-05-07

Abstract:
   This document describes an Extensible Provisioning Protocol (EPP)
   mapping for provisioning and management of organization objects
   stored in a shared central repository.  Specified in Extensible
   Markup Language (XML), this extended mapping is applied to provide
   additional features required for the provisioning of organizations.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-regext-org/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-regext-org-05
https://datatracker.ietf.org/doc/html/draft-ietf-regext-org-05

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-regext-org-05

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Linlin Zhou" <[email-masked]>
Date: Mon, 7 May 2018 17:14:18 +0800

Dear all,
To respond the comments, the org drafts are updated to version 05.

Regards,
Linlin

[email-masked]
 
From: internet-drafts
Date: 2018-05-07 16:35
To: [email-masked]
CC: regext
Subject: [regext] I-D Action: draft-ietf-regext-org-05.txt

 
Abstract:

 

 
_______________________________________________
regext mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/regext

---

From: "Gould, James" <[email-masked]>
Date: Mon, 7 May 2018 13:44:45 +0000

Linlin,

In doing my review and validating all of the sample XML of draft-ietf-regext-org-05, I found the following:

  1.  Remove the double period (“…transfer status information..”) in the last sentence of section 4.1 “EPP Query Commands”.
  2.  In section 4.1.2 “EPP <info> Command”, it may be better to describe the “Example Registrar Inc.” example as ‘…organization object with identifier “registrar1362”’.
  3.  In section 4.1.2 “EPP <info> Command”, it may be better to describe the “Example Reseller Inc.” example as ‘…managed by identifier “registrar1362”’.
  4.  XML parser error - The <org:clID> element in the “Example <info> response for “Example Reseller Inc.” needs to be terminated with </org:clID> instead of </org:crID>.
  5.  Change title of section 4.1.3 from “EPP <transfer> Command” to “EPP <transfer> Query Command” and change “No EPP <transfer> command is defined in this document” to “No EPP <transfer> query command is defined in this document”.
  6.  XML parser error - The <org:role><org:status> value of clientDeleteProhibited is not valid in the “Example <update> command”, since “clientDeleteProhibited” is not a valid role status according to the “roleStatusType” type.  I believe the <org:status>clientDeleteProhibited</org:status> should be removed in <org:rem><org:contact type=”billing”>sh8014</org:contact><org:role><org:type>reseller</org:type></org:role></org:rem>, since the goal is to remove the reseller role and not the role’s status.
  7.  Change “Registrant Contact” attributes in section 8.1 “XML Namespace” to IESG
  8.  Set the following values for section 7.2 “EPP Extension Registry” to match RFC 7451:
     *   Name of Extension: Extensible Provisioning Protocol (EPP) Organization Mapping
     *   Registrant Name and Email Address: IESG, [email-masked]<mailto:[email-masked]>
     *   TLDs: Any
     *   IPR Disclosure: None
     *   Status: Active
     *   Notes: None
—

JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

Verisign.com<http://verisigninc.com/>
From: regext <[email-masked]> on behalf of Linlin Zhou <[email-masked]>
Date: Monday, May 7, 2018 at 5:14 AM
To: regext <[email-masked]>
Subject: [EXTERNAL] Re: [regext] I-D Action: draft-ietf-regext-org-05.txt

Dear all,

Regards,
Linlin
________________________________
[email-masked]

From: internet-drafts<mailto:[email-masked]>
Date: 2018-05-07 16:35
To: [email-masked]<mailto:[email-masked]>
CC: regext<mailto:[email-masked]>
Subject: [regext] I-D Action: draft-ietf-regext-org-05..txt

Abstract: